Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm
Class ObjectOptimisticLockingFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.ConcurrencyFailureException
                                  org.springframework.dao.OptimisticLockingFailureException
                                      org.springframework.orm.ObjectOptimisticLockingFailureException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HibernateOptimisticLockingFailureException, HibernateOptimisticLockingFailureException, JdoOptimisticLockingFailureException, JpaOptimisticLockingFailureException

    public class ObjectOptimisticLockingFailureException

extends OptimisticLockingFailureException

Exception thrown on an optimistic locking violation for a mapped object. Provides information about the persistent class and the identifier.

Since:
  13.10.2003
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`ObjectOptimisticLockingFailureException(java.lang.Class persistentClass, java.lang.Object identifier)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(java.lang.Class persistentClass, java.lang.Object identifier, java.lang.String msg, java.lang.Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.
`ObjectOptimisticLockingFailureException(java.lang.Class persistentClass, java.lang.Object identifier, java.lang.Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(java.lang.String persistentClassName, java.lang.Object identifier)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(java.lang.String persistentClassName, java.lang.Object identifier, java.lang.String msg, java.lang.Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.
`ObjectOptimisticLockingFailureException(java.lang.String persistentClassName, java.lang.Object identifier, java.lang.Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(java.lang.String msg, java.lang.Throwable cause)` Create a general ObjectOptimisticLockingFailureException with the given message, without any information on the affected object.

Method Summary
`java.lang.Object` | `getIdentifier()` Return the identifier of the object for which the locking failed.
`java.lang.Class` | `getPersistentClass()` Return the persistent class of the object for which the locking failed.
`java.lang.String` | `getPersistentClassName()` Return the name of the persistent class of the object for which the locking failed.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.String msg,
                                                   java.lang.Throwable cause)

  Create a general ObjectOptimisticLockingFailureException with the given message, without any information on the affected object.

  Parameters:
    `msg` - the detail message
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.Class persistentClass,
                                                   java.lang.Object identifier)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClass` - the persistent class
    `identifier` - the ID of the object for which the locking failed

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.Class persistentClass,
                                                   java.lang.Object identifier,
                                                   java.lang.Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClass` - the persistent class
    `identifier` - the ID of the object for which the locking failed
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.Class persistentClass,
                                                   java.lang.Object identifier,
                                                   java.lang.String msg,
                                                   java.lang.Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.

  Parameters:
    `persistentClass` - the persistent class
    `identifier` - the ID of the object for which the locking failed
    `msg` - the detail message
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.String persistentClassName,
                                                   java.lang.Object identifier)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClassName` - the name of the persistent class
    `identifier` - the ID of the object for which the locking failed

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.String persistentClassName,
                                                   java.lang.Object identifier,
                                                   java.lang.Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClassName` - the name of the persistent class
    `identifier` - the ID of the object for which the locking failed
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(java.lang.String persistentClassName,
                                                   java.lang.Object identifier,
                                                   java.lang.String msg,
                                                   java.lang.Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.

  Parameters:
    `persistentClassName` - the name of the persistent class
    `identifier` - the ID of the object for which the locking failed
    `msg` - the detail message
    `cause` - the source exception

Method Detail

### getPersistentClass

    public java.lang.Class getPersistentClass()

  Return the persistent class of the object for which the locking failed. If no Class was specified, this method returns null.

### getPersistentClassName

    public java.lang.String getPersistentClassName()

  Return the name of the persistent class of the object for which the locking failed. Will work for both Class objects and String names.

### getIdentifier

    public java.lang.Object getIdentifier()

  Return the identifier of the object for which the locking failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD